package cn.wise.sc.cement.business.entity;

import cn.wise.sc.cement.business.model.BaseEntity;
import cn.wise.sc.cement.business.model.query.ProjectQuery;
import cn.wise.sc.cement.business.model.vo.ProjectVo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目
 * </p>
 *
 * @author ztw
 * @since 2020-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Project extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目名
     */
    private String name;

    /**
     * 项目编号:客户自己填的
     */
    private String code;

    /**
     * 客户id
     */
    private Integer clientId;

    /**
     * 状态0:禁用 1:启用
     */
    private Boolean status;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
	/**
	 * 备注
	 */
	private String remark;

}
