package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-08-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUser implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户账号
     */
    private String username;

    /**
     * 真实姓名
     */
    private String name;

    /**
     * 性别0女1男
     */
    private Integer sex;

    /**
     * 部门id
     */
    private Integer groupId;

    /**
     * 职务id
     */
    private Integer postId;

    /**
     * 微信号
     */
    private String wxId;

    /**
     * 职称
     */
    private String qualifications;

    /**
     * 状态（0禁用，1启用）
     */
    private Boolean status;

    /**
     * 工作年限
     */
    private Double workYear;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 专业
     */
    private String major;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 从事本技术领域日期
     */
    private LocalDate technologyDate;

    /**
     * 从事本技术领域年限
     */
    private Double technologyYear;

    /**
     * 文化程度
     */
    private String education;

    /**
     * （0删除，1正常）
     */
    private Boolean isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 备注
     */
    private String remark;

	public interface Status {
		Boolean VALID = true;
		Boolean LOCKED = false;
	}
}
