package cn.wise.sc.cement.business.entity;

import java.math.BigDecimal;

import cn.wise.sc.cement.business.model.BaseEntity;
import cn.wise.sc.cement.business.model.query.ProjectQuery;
import cn.wise.sc.cement.business.model.query.TeamQuery;
import cn.wise.sc.cement.business.model.vo.ClientVo;
import cn.wise.sc.cement.business.model.vo.TeamVo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 * 检测项
 * </p>
 *
 * @author ztw
 * @since 2020-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Team extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

	public static Team crate(TeamQuery query) {
		Team newObj = new Team();
		BeanUtils.copyProperties(query, newObj);
		newObj.setStatus(true);
		return newObj;
	}

	@Override
	public TeamVo toVo() {
		TeamVo teamVo = new TeamVo();
		BeanUtils.copyProperties(this, teamVo, "status");
		teamVo.setStatus(this.getStatus() ? "启用" : "禁用");
		return teamVo;
	}


    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 检测项目
     */
    private String name;

    /**
     * 分组
     */
    private Integer groupId;

    /**
     * 检测依据
     */
    private String basis;

    /**
     * 收费标准
     */
    private BigDecimal charge;

    /**
     * 建议产值
     */
    private BigDecimal proCharge;

    /**
     * 资质范围
     */
    private String qualifications;

    /**
     * 状态 0:禁用 1:激活
     */
    private Boolean status;


}
